const lamejs = require('lamejs');
global.Lame = require('lamejs/src/js/Lame.js');
global.Presets = require('lamejs/src/js/Presets.js');
global.GainAnalysis = require('lamejs/src/js/GainAnalysis.js');
global.QuantizePVT = require('lamejs/src/js/QuantizePVT.js');
global.Quantize = require('lamejs/src/js/Quantize.js');
global.Takehiro = require('lamejs/src/js/Takehiro.js');
global.Reservoir = require('lamejs/src/js/Reservoir.js');
global.MPEGMode = require('lamejs/src/js/MPEGMode.js');
global.BitStream = require('lamejs/src/js/BitStream.js');
global.Encoder = require('lamejs/src/js/Encoder.js');
global.Version = require('lamejs/src/js/Version.js');
global.VBRTag = require('lamejs/src/js/VBRTag.js');

module.exports = lamejs;
